Patch for clanlib-0.7.8-r2 Bug 154513:

Signal handler deinit() was not declared.

This leads to a compilation failure when a release version
rather than a debug version is built (-DNDEBUG).

This patch adds the missing declaration, thus make the
file compile with or without -DNDEBUG.

--- a/Sources/Core/System/Unix/init_linux.cpp
+++ b/Sources/Core/System/Unix/init_linux.cpp
@@ -52,6 +52,7 @@
 	_begin_time = (long) tv.tv_sec*(long) 1000+(long) tv.tv_usec/(long) 1000;
 
 	#ifdef NDEBUG
+	sighandler_t deinit;
 	signal(SIGSEGV, deinit);
 	#endif
 }
